#include "calendarcolor.h"
#include <QApplication>
#include <QPalette>
#include <QDebug>
namespace CalendarColor {


CalendarColor::CalendarColor()
{

}

QColor CalendarColor::getThemeColor(Color c)
{
    QColor color;
    QPalette pal = QApplication::palette();
    switch (c){
    case TEXT:{
        color = pal.text().color();
    }break;
    case BACKGROUND:{
        color = pal.background().color();
    }break;
    case CLICKED:{
        color = pal.highlight().color();
    }break;
    case CLICKED_TEXT:{
        color = pal.highlightedText().color();
    }break;
    case OTHER_TEXT:{
        color = pal.midlight().color();
    }break;
    case WORK:{
        color = QColor(255, 129, 6);
    }break;
    case HOLIDAY:{
        color = QColor(233, 90, 84);
    }break;
    default:{
        qDebug () << "Failed to get color, invalid color type";
        color = QColor();
    }
    }
//    qDebug() << (int)c << color;
    return color;
}
}
